create database Examples
use Examples
--drop database Examples
 
--drop table Sales
Create table Sales(Period Date, Item varchar (15),
Quantity int, Price int)
 
-- INSERT VALUES INTO TABLE 
insert into Sales values('2018/05/22','Apple',300,15)
insert into Sales values('2018/05/18','Banana',400,18)
insert into Sales values('2018/08/05','Orange',400,17)
insert into Sales values('2018/05/13','Grapes',500,16)
insert into Sales values('2017/11/20','Papaya',400,17)
insert into Sales values('2018/04/14','Lemon',350,22)
insert into Sales values('2018/05/11','Mango',487,15)
Select * from Sales

--drop table Location
Create table Location(Item varchar (15),Place varchar(15))
insert into Location values('Apple','Hyderabad')
insert into Location values('Banana','Delhi')
insert into Location values('Papaya','Pune')
insert into Location values('Grapes','Banglore')
insert into Location values('Mango','Chennai')
Select * from Location

--DROP PROCEDURE Sp_InnerJoin_Sales_Location
--Create Stored Procedure
use Examples
Go
Create Procedure Sp_InnerJoin_Sales_Location
@@Year int, @@Month int
as
Select Sales.Item,Sales.Period, 
Sales.Price,Location.Place 
from Sales Inner Join Location
on Sales.item = Location.Item
where Year(Period) = @@Year  and 
MONTH(Period) >= @@Month
order by Place
 
--Use stored Procedure
EXEC  Sp_InnerJoin_Sales_Location 2018, 4
 

